/*CSS Reset*/
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	font-family: "Open Sans", sans-serif;
}

/*1rem = 16px*/
/*Rem (short for “root-em”) units dictate an element's font size relative to the size of the root element. By default, most browsers use a font size value of 16px. So, if the root element is 16px, an element with the value 1rem will also equal 16px.*/

nav ul {
	padding: 0.8rem;
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;
	list-style-type: none;
}

/*margin vs padding*/

/*margin is best used when creating space between elements*/

/*padding is best used when creating space between a border and its content*/

nav .nav, nav .nav-logo {
	margin: 0.5rem;
	/* changes the element's display to inline, block or in-line block	*/
	display: inline;
}

#intro {
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
	text-align: center;
	/* padding 1 value = top/right/bottom/left */
	/* padding shorthand: top, left/right, bottom */
	/*	padding: top/bottom, left/right */
	/*	padding: top, right, bottom, left */
}

.header {
	text-align: center;
}

#intro h2, #intro p {
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	padding: 1rem;
}

#succeed-info {
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
}

#succeed-info h2 {
	margin-bottom: 1rem;
}

#succeed-info h3 {
	text-align: center;
	margin-bottom: 1rem;
}

#succeed-info .card {
	/* allows cards to appear beside each other */
	display: inline-block;
	/*	used with inline-block */
	vertical-align: top;
	min-height: 175px;
	width: 30%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

footer {
	padding: 0.7rem;
}

footer span {
	margin-left: 0.5rem;
	margin-right: 0.5rem;
	/* margin 1 value = top/right/bottom/left */
	/* margin shorthand: top, left/right, bottom */
	/*	margin: top/bottom, left/right */
	/*	margin: top, right, bottom, left */
}

/*2. Add a CSS rule for the pre-footer section to create space for the content, change the background and text color.*/

#pre-footer {
	background-color: #002540;
	color: #ffffff;
	padding: 1rem;
}


#pre-footer div {
	/*3. Add a CSS rule for the div tags to align the elements horizontally.*/
	display: inline-block;
	vertical-align: bottom;
	/*4. Add a CSS rule for the all elements inside the div tags to create space between them vertically.*/
	width: 15%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

